| TagLib 1.13 |  |

Public Types | Public Member Functions | Friends | List of all members
TagLib::ASF::Attribute Class Reference

`#include <asfattribute.h>`

## Public Types
enum | AttributeTypes { UnicodeType = 0 , BytesType = 1 , BoolType = 2 , DWordType = 3 , QWordType = 4 , WordType = 5 , GuidType = 6 }

## Public Member Functions
| Attribute ()
| Attribute (const String &value)
| Attribute (const ByteVector &value)
| Attribute (const Picture &value)
| Attribute (unsigned int value)
| Attribute (unsigned long long value)
| Attribute (unsigned short value)
| Attribute (bool value)
| Attribute (const Attribute &item)
Attribute & | operator= (const Attribute &other)
void | swap (Attribute &other)
virtual | ~Attribute ()
AttributeTypes | type () const
unsigned short | toBool () const
unsigned short | toUShort () const
unsigned int | toUInt () const
unsigned long long | toULongLong () const
String | toString () const
ByteVector | toByteVector () const
Picture | toPicture () const
int | language () const
void | setLanguage (int value)
int | stream () const
void | setStream (int value)
int | dataSize () const
| Returns the size of the stored data. More...

## Friends
class | File

## Member Enumeration Documentation

## ◆ AttributeTypes

enum TagLib::ASF::Attribute::AttributeTypes

Enum of types an Attribute can have.

Enumerator
UnicodeType |
BytesType |
BoolType |
DWordType |
QWordType |
WordType |
GuidType |

## Constructor & Destructor Documentation

## ◆ Attribute() [1/9]

TagLib::ASF::Attribute::Attribute | ( |  | ) |

Constructs an empty attribute.

## ◆ Attribute() [2/9]

TagLib::ASF::Attribute::Attribute | ( | const String & | value | ) |

Constructs an attribute with key and a UnicodeType value.

## ◆ Attribute() [3/9]

TagLib::ASF::Attribute::Attribute | ( | const ByteVector & | value | ) |

Constructs an attribute with key and a BytesType value.

## ◆ Attribute() [4/9]

TagLib::ASF::Attribute::Attribute | ( | const Picture & | value | ) |

Constructs an attribute with key and a Picture value.

This attribute is compatible with the ID3 frame, APIC. The ID3 specification for the APIC frame stipulates that, while there may be any number of APIC frames associated with a file, only one may be of type 1 and only one may be of type 2.

The specification also states that the description of the picture can be no longer than 64 characters, but can be empty. WM/Picture attributes added with TagLib::ASF are not automatically validated to conform to ID3 specifications. You must add code in your application to perform validations if you want to maintain complete compatibility with ID3.

## ◆ Attribute() [5/9]

TagLib::ASF::Attribute::Attribute | ( | unsigned int | value | ) |

Constructs an attribute with key and a DWordType value.

## ◆ Attribute() [6/9]

TagLib::ASF::Attribute::Attribute | ( | unsigned long long | value | ) |

Constructs an attribute with key and a QWordType value.

## ◆ Attribute() [7/9]

TagLib::ASF::Attribute::Attribute | ( | unsigned short | value | ) |

Constructs an attribute with key and a WordType value.

## ◆ Attribute() [8/9]

TagLib::ASF::Attribute::Attribute | ( | bool | value | ) |

Constructs an attribute with key and a BoolType value.

## ◆ Attribute() [9/9]

TagLib::ASF::Attribute::Attribute | ( | const Attribute & | item | ) |

Construct an attribute as a copy of other.

## ◆ ~Attribute()

virtual TagLib::ASF::Attribute::~Attribute | ( |  | ) |
| virtual

Destroys the attribute.

## Member Function Documentation

## ◆ dataSize()

int TagLib::ASF::Attribute::dataSize | ( |  | ) | const

Returns the size of the stored data.

## ◆ language()

int TagLib::ASF::Attribute::language | ( |  | ) | const

Returns the language number, or 0 is no stream number was set.

## ◆ operator=()

Attribute & TagLib::ASF::Attribute::operator= | ( | const Attribute & | other | ) |

Copies the contents of other into this item.

## ◆ setLanguage()

void TagLib::ASF::Attribute::setLanguage | ( | int | value | ) |

Sets the language number.

## ◆ setStream()

void TagLib::ASF::Attribute::setStream | ( | int | value | ) |

Sets the stream number.

## ◆ stream()

int TagLib::ASF::Attribute::stream | ( |  | ) | const

Returns the stream number, or 0 is no stream number was set.

## ◆ swap()

void TagLib::ASF::Attribute::swap | ( | Attribute & | other | ) |

Exchanges the content of the Attribute by the content of other.

## ◆ toBool()

unsigned short TagLib::ASF::Attribute::toBool | ( |  | ) | const

Returns the BoolType value.

## ◆ toByteVector()

ByteVector TagLib::ASF::Attribute::toByteVector | ( |  | ) | const

Returns the BytesType value.

## ◆ toPicture()

Picture TagLib::ASF::Attribute::toPicture | ( |  | ) | const

Returns the Picture value.

## ◆ toString()

String TagLib::ASF::Attribute::toString | ( |  | ) | const

Returns the UnicodeType value.

## ◆ toUInt()

unsigned int TagLib::ASF::Attribute::toUInt | ( |  | ) | const

Returns the DWordType value.

## ◆ toULongLong()

unsigned long long TagLib::ASF::Attribute::toULongLong | ( |  | ) | const

Returns the QWordType value.

## ◆ toUShort()

unsigned short TagLib::ASF::Attribute::toUShort | ( |  | ) | const

Returns the WordType value.

## ◆ type()

AttributeTypes TagLib::ASF::Attribute::type | ( |  | ) | const

Returns type of the value.

## Friends And Related Function Documentation

## ◆ File

friend class File
| friend

The documentation for this class was generated from the following file:

- asfattribute.h